Owostack

Create or resolve a customer

Creates a customer if needed, or resolves and updates an existing customer by ID or email.

POST
/v1/customers

Authorization

bearerAuth

Request Body

application/json

id?string
email*string
Formatemail
name?string
metadata?

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.owostack.com/v1/customers" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "success": true,
  "id": "string",
  "email": "user@example.com",
  "name": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "billing": {
    "overageLimit": {
      "maxOverageAmount": 0,
      "onLimitReached": "block",
      "createdAt": 0,
      "updatedAt": 0
    },
    "featureConfigs": [
      {
        "feature": {
          "id": "string",
          "slug": "string",
          "name": "string"
        },
        "overage": "block",
        "maxOverageUnits": 0,
        "createdAt": 0,
        "updatedAt": 0
      }
    ]
  },
  "createdAt": 0,
  "updatedAt": 0,
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

AI Chat

Owostack docs assistant

Start a new chat below.